#145 closed defect (fixed)

sp04 fails with system tasks are present.

Reported by: Chris Johns Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: unspecified Version: unknown
Severity: normal Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

The sp04 task switch test fails if other tasks are present
in the system. This could be a network task and network
driver tasks.

The attached patch uses the "task_number", but I am not sure
if it can be valid to use on rtems_id along with an
Object.id.

Release:
cvs-head

Environment:
The test was ported and running under a bare BSP that has
main etc.

Attachments (1)

sp04.diff (1.4 KB) - added by Chris Johns on Dec 3, 2006 at 1:31:12 PM.
sp04.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Mar 20, 2002 at 1:57:02 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: analyzed->closed
State-Changed-Why: ChangeLog? written and Patch applied.

Changed on Dec 3, 2006 at 1:31:12 PM by Chris Johns

Attachment: sp04.diff added

sp04.diff

comment:2 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.